// stylelint-disable declaration-no-important

//
// Text
//

.u-txt--monospace { font-family: $font-family-monospace !important; }

// Alignment

.u-txt--justify  { text-align: justify !important; }
.u-txt--wrap     { white-space: normal !important; }
.u-txt--nowrap   { white-space: nowrap !important; }
.u-txt--truncate { @include text-truncate; }

// Responsive alignment

@each $breakpoint in map-keys($grid-breakpoints) {
  @include media-breakpoint-up($breakpoint) {
    $infix: breakpoint-infix($breakpoint, $grid-breakpoints);

    .text#{$infix}-left   { text-align: left !important; }
    .text#{$infix}-right  { text-align: right !important; }
    .text#{$infix}-center { text-align: center !important; }
  }
}

// Transformation

.u-txt--lowercase  { text-transform: lowercase !important; }
.u-txt--uppercase  { text-transform: uppercase !important; }
.u-txt--capitalize { text-transform: capitalize !important; }

// Weight and italics

.u-font--light   { font-weight: $font-weight-light !important; }
.u-font--lighter { font-weight: $font-weight-lighter !important; }
.u-font--normal  { font-weight: $font-weight-normal !important; }
.u-font--bold    { font-weight: $font-weight-bold !important; }
.u-font--bolder  { font-weight: $font-weight-bolder !important; }

.u-font--italic         { font-style: italic !important; }

// Contextual colors

.u-txt--white { color: $white !important; }

@each $color, $value in $theme-colors {
  @include text-emphasis-variant(".u-txt--#{$color}", $value);
}

.u-txt--body { color: $body-color !important; }
.u-txt--muted { color: $text-muted !important; }

.u-txt--black-50 { color: rgba($black, .5) !important; }
.u-txt--white-50 { color: rgba($white, .5) !important; }

// Misc

.u-txt--hide {
  @include text-hide($ignore-warning: true);
}

.u-txt--decoration-none { text-decoration: none !important; }

.u-txt--break {
  word-break: break-word !important; // IE & < Edge 18
  overflow-wrap: break-word !important;
}

// Reset

.u-txt--reset { color: inherit !important; }
